For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/process

Processes the Latin alphabet using OCR

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo

Body for OCR processing

typestring · enumOpcional

The type of document to process must be specified, since our service can handle different types of documents.

Example: id_cardValores possíveis:
modelstringOpcional

This parameter specifies the ID of the document to process.

Example: ARG
filesstring[]Opcional

Array of images as raw buffers encoded in base64 RFC4648.

Example: ["iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAFUlEQVR42mP8z8BQz0AEYBxVSF+FABJADveWkH6oAAAAAElFTkSuQmCC.b64"]
isCroppedbooleanOpcionalObsoleto

If the image is already cropped and aligned, the service can skip these operations. Only applies to invoice documents.

Default: false
forceDetectionbooleanOpcionalObsoleto

If the invoice document does not have the correct aspect ratio, the service can perform an operation to correct it and improve document detection. Only applies to invoice documents.

Default: false
retrieveImagesbooleanOpcional

The service will return the cropped image in base64 in the final result.

Default: false
Respostas
200

The result of the OCR processing

application/json

Result of processing an image.

typestring · enumOpcional

The type of document to process must be specified, since our service can handle different types of documents.

Example: id_cardValores possíveis:
modelstringOpcional

This parameter specifies the ID of the document to process.

Example: ARG
versionstringOpcional

Version of the detected document.

Example: 2020
sidestringOpcional

Side of the detected document.

Example: front
croppedImagestringOpcional

Cropped image encoded in base64 RFC4648.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
post/api/v1/process
POST /api/v1/process HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 176

{
  "type": "id_card",
  "model": "ARG",
  "files": [
    "iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAFUlEQVR42mP8z8BQz0AEYBxVSF+FABJADveWkH6oAAAAAElFTkSuQmCC.b64"
  ],
  "retrieveImages": false
}
{
  "dictionary": {
    "DateOfBirth": "1900-01-01",
    "DateOfExpiry": "1900-01-01",
    "DateOfIssue": "1901-01-01",
    "DocumentCaptured": "ARG/v1",
    "DocumentNumber": "12345678A",
    "FirstName": "Alicia",
    "Nationality": "ESP"
  },
  "type": "id_card",
  "model": "ARG",
  "version": "2020",
  "side": "front",
  "croppedImage": "/9j/4AAQSkZJRgABAQEAtAC0AAD..."
}

Atualizado